Bug 235082 - audio/teamspeak3-server make pid file location configurable
Summary: audio/teamspeak3-server make pid file location configurable
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Richard Gallamore
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2019-01-20 15:21 UTC by Dries Michiels
Modified: 2019-02-08 21:00 UTC (History)
0 users

See Also:
ultima: maintainer-feedback+


Attachments
teamspeak.diff (1.65 KB, patch)
2019-02-03 15:16 UTC, Dries Michiels
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dries Michiels 2019-01-20 15:21:48 UTC
Hi,

I like to adhere as much as possible to hier(8) for this I would like to request to make the pid file location configurable through an rc variable.

Thanks!

: ${teamspeak_pid=%%DBDIR%%/teamspeak_server.pid}

This makes the default as before and overwritable through an rc.conf setting.
Comment 1 Dries Michiels 2019-02-03 15:16:28 UTC
Created attachment 201687 [details]
teamspeak.diff

refactoring of rc script to allow configurable pid location
Comment 2 Richard Gallamore freebsd_committer 2019-02-03 17:07:41 UTC
Hello Dries,

Looks good except for the epoche bump, which should be PORTREVISION.

Will add this to my queue.
Comment 3 commit-hook freebsd_committer 2019-02-08 20:59:21 UTC
A commit references this bug:

Author: ultima
Date: Fri Feb  8 20:58:57 UTC 2019
New revision: 492462
URL: https://svnweb.freebsd.org/changeset/ports/492462

Log:
  * Updated to 3.6.1
  * Removed workaround for a fixed bug in previous 11.x release
  * Reworked rc script to be more standardized

  The rc script now has 3 possible entries that can be changed,
  teamspeak_pidfile, teamspeak_db_dir and teamspeak_log_dir.
  This will provide a more customizable experience when using
  teamspeak.

  Changes:	https://forum.teamspeak.com/threads/138675-Release-TeamSpeak-3-Server-3-6-1

  PR:		235082

Changes:
  head/audio/teamspeak3-server/Makefile
  head/audio/teamspeak3-server/distinfo
  head/audio/teamspeak3-server/files/teamspeak.in
Comment 4 Richard Gallamore freebsd_committer 2019-02-08 21:00:49 UTC
I reworked the rc file in the most recent update which has also added this request.